package br.mp.mprj.portal.portlet.gestaomensagens.search;

/**
 * Constantes especificos para recursos relacionados a busca.
 * @author Henrique
 */
public interface ConstantesSearch {

	/**
	 * Portlet ID padrao.
	 */
	String PORTLET_ID = "gestao-mensagens";
	
	/**
	 * Portlet ID espec&iacute;fico para indexa&ccedil;&atilde;o do Template de mensagem.
	 */
	String PORTLET_ID_TEMPLATE = PORTLET_ID + "-template";
	
	/**
	 * Portlet ID espec&iacute;fico para indexa&ccedil;&atilde;o da Mensagem.
	 */
	String PORTLET_ID_MENSAGEM = PORTLET_ID + "-mensagem";
	
	/**
	 * Portlet ID espec&iacute;fico para indexa&ccedil;&atilde;o do Agendamento.
	 */
	String PORTLET_ID_AGENDAMENTO = PORTLET_ID + "-agendamento";
	
	String CAMPO_TEMPLATE_NOME = "nome";
	String CAMPO_TEMPLATE_CABECALHO = "cabecalho";
	String CAMPO_TEMPLATE_RODAPE = "rodape";
	String CAMPO_TEMPLATE_CORPO = "corpo";
	String CAMPO_TEMPLATE_ESTILO = "estilo";

	
	String PORTLET_ID_GRUPO_DESTINATARIO = PORTLET_ID + "-grupo-destinatario";
	
	String PORTLET_ID_USER = PORTLET_ID + "-user";
	
}
