create index IX_B2BB3C9B on PRT_GESTMSG_AGENDAMENTO (mensagemId);
create index IX_257A84BD on PRT_GESTMSG_AGENDAMENTO (mensagemId, dataCalendario);
create index IX_C3FC0321 on PRT_GESTMSG_AGENDAMENTO (mensagemId, situacaoEnvio);
create index IX_CBC3D426 on PRT_GESTMSG_AGENDAMENTO (mensagemId, tipoAgendamento);
create index IX_2AB99FFA on PRT_GESTMSG_AGENDAMENTO (mensagemId, tipoAgendamento, situacaoEnvio, agendamentoId);
create index IX_6358D27B on PRT_GESTMSG_AGENDAMENTO (situacaoEnvio);
create index IX_A0040395 on PRT_GESTMSG_AGENDAMENTO (situacaoEnvio, mensagemId);
create index IX_8DCA6213 on PRT_GESTMSG_AGENDAMENTO (uuid_);
create index IX_40EDA835 on PRT_GESTMSG_AGENDAMENTO (uuid_, companyId);
create unique index IX_36BCB7F7 on PRT_GESTMSG_AGENDAMENTO (uuid_, groupId);

create index IX_AAB7F445 on PRT_GESTMSG_ANEXO_MENSAGEM (mensagemId);
create index IX_6719BEDA on PRT_GESTMSG_ANEXO_MENSAGEM (mensagemId, ativo);
create index IX_EEF00829 on PRT_GESTMSG_ANEXO_MENSAGEM (uuid_);
create index IX_128785F on PRT_GESTMSG_ANEXO_MENSAGEM (uuid_, companyId);
create unique index IX_ECE18AA1 on PRT_GESTMSG_ANEXO_MENSAGEM (uuid_, groupId);

create index IX_D471496A on PRT_GESTMSG_GRP_DESTINATARIO (grupoDestinatarioId);
create index IX_CC3E6DC8 on PRT_GESTMSG_GRP_DESTINATARIO (nome, tipoLista, ativo);
create index IX_1794A67B on PRT_GESTMSG_GRP_DESTINATARIO (tipoLista, ativo);
create index IX_37E03B59 on PRT_GESTMSG_GRP_DESTINATARIO (uuid_);
create index IX_9779672F on PRT_GESTMSG_GRP_DESTINATARIO (uuid_, companyId);
create unique index IX_213FED71 on PRT_GESTMSG_GRP_DESTINATARIO (uuid_, groupId);

create index IX_475B6B70 on PRT_GESTMSG_MAIL_DESTINATARIO (grupoDestinatarioId);
create index IX_B767BFDF on PRT_GESTMSG_MAIL_DESTINATARIO (uuid_);

create unique index IX_A5CC8173 on PRT_GESTMSG_MENSAGEM (codigoMensagem);
create index IX_B0F07EF on PRT_GESTMSG_MENSAGEM (groupId);
create index IX_2CBB7E3C on PRT_GESTMSG_MENSAGEM (rascunho, userIdCriador);
create index IX_30363020 on PRT_GESTMSG_MENSAGEM (statusWorkflow);
create index IX_19EEBEAF on PRT_GESTMSG_MENSAGEM (userIdCriador);
create index IX_E8D3CA39 on PRT_GESTMSG_MENSAGEM (uuid_);
create index IX_25D1CC4F on PRT_GESTMSG_MENSAGEM (uuid_, companyId);
create unique index IX_4EAF1A91 on PRT_GESTMSG_MENSAGEM (uuid_, groupId);

create index IX_A8F9E8C9 on PRT_GESTMSG_MENSAGEM_WORKFLOW (mensagemId);
create index IX_A9A05125 on PRT_GESTMSG_MENSAGEM_WORKFLOW (uuid_);

create index IX_2B34A40 on PRT_GESTMSG_TEMPLATE (groupId);
create unique index IX_1C82330D on PRT_GESTMSG_TEMPLATE (groupId, nome);
create unique index IX_666E8BE8 on PRT_GESTMSG_TEMPLATE (nome, ativo);
create index IX_46966CCA on PRT_GESTMSG_TEMPLATE (uuid_);
create index IX_C114951E on PRT_GESTMSG_TEMPLATE (uuid_, companyId);
create unique index IX_225BCB20 on PRT_GESTMSG_TEMPLATE (uuid_, groupId);