
<%@ include file="/jsp/init.jsp" %>

<%
	PortletPreferences preferences = renderRequest.getPreferences();

	String horario = PrefsParamUtil.getString(preferences, request, "horarioPadrao", PortletProps.get("configuracao.valor-padrao.horario"));
	String roleName = PrefsParamUtil.getString(preferences, request, "workflowRoleName", PortletProps.get("configuracao.valor-padrao.workflowRoleName"));
	String urlThumbnail = PrefsParamUtil.getString(preferences, request, "template.url.thumbnail-padrao", PortletProps.get("configuracao.template.url.thumbnail-padrao"));
	String urlServidorPortal = PrefsParamUtil.getString(preferences, request, "configuracao.email.url-servidor", PortletProps.get("configuracao.email.url-servidor"));

%>
<liferay-portlet:actionURL portletConfiguration="true" var="configurationURL" />
<aui:form action="${configurationURL}"
			method="post" 
			name="fm">
	<aui:input name="<%= Constants.CMD %>" type="hidden" value="<%= Constants.UPDATE %>" />
	<aui:fieldset>
		<aui:input name="preferences--horarioPadrao--" label="configuracao.horario-padrao" type="text" value="<%=horario%>"/>
		<aui:input name="preferences--workflowRoleName--" label="configuracao.workflow-role-name-padrao" type="hidden" value="<%=roleName%>"/>
		<aui:input name="preferences--template.url.thumbnail-padrao--" label="configuracao.thumbnail-padrao" type="text" value="<%=urlThumbnail%>"/>
		<aui:input name="preferences--configuracao.email.url-servidor--" label="configuracao.email.url-servidor" type="text" value="<%=urlServidorPortal%>"/>
		
		<aui:button-row>
			<aui:button type="submit" cssClass="btn-primary" value="save"/>
		</aui:button-row>
	</aui:fieldset>
</aui:form>